package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.DailyReportStatus;
import com.ruoyi.system.domain.SysWeekInfo;
import com.ruoyi.system.domain.WeekReportStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author Shawn
 */
public interface SysWeekMapper {
    public SysWeekInfo selectWeekInfoByDate(String date);

    public List<SysWeekInfo> selectAllWeekInfo();

    public List<DailyReportStatus> selectWeekNumByFromTo(@Param("projectId") String projectId,@Param("from") String from, @Param("to") String to,@Param("month") String month);

    public String searchExamineFlag(@Param("userId") String userId,@Param("projectId") String projectId,@Param("weekId") String weekId);

    public int examineByUpdate(@Param("userId") String userId,@Param("projectId") String projectId,@Param("weekId") String weekId);

    public int examinePending(@Param("userId") String userId,@Param("projectId") String projectId,@Param("weekId") String weekId);
    public int delWeekReportStatus(@Param("userId") String userId,@Param("projectId") String projectId,@Param("weekId") String weekId);

    void addUserIdColumn();

    List<WeekReportStatus> selectAll();

    void updateList(List<WeekReportStatus> b15List);
}
